{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  inherit (lib.marleyos) enabled;

  cfg = config.marleyos.appearance.gtk;
in {
  options.marleyos.appearance.gtk.enable = mkEnableOption "gtk";

  config = mkIf cfg.enable {
    home.pointerCursor.gtk.enable = true;

    gtk = {
      enable = true;

      rose-pine = mkIf config.rose-pine.enable enabled;

      gtk2.configLocation = "${config.xdg.configHome}/gtk-2.0/gtkrc";
    };
  };
}
