{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.cava;
in {
  options.marleyos.programs.cava.enable = mkEnableOption "cava";

  config = mkIf cfg.enable {
    programs.cava = {
      # FIX: Re-enable once https://github.com/NixOS/nixpkgs/pull/355948 is
      # ported to nixpkgs/unstable
      enable = false;

      # TODO: disable this when mpd is not enabled? Can that be detected on non
      # NixOS systems?
      settings = {
        input = {
          method = "fifo";
          source = "/tmp/mpd.fifo";
        };
      };
    };
  };
}
