{
  lib,
  config,
  pkgs,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.neovim;
in {
  options.marleyos.programs.neovim.enable = mkEnableOption "neovim";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      nvim-pkg
    ];

    home.sessionVariables = rec {
      EDITOR = "nvim";
      VISUAL = "${EDITOR}";
      SUDO_EDITOR = "${EDITOR}";
    };
  };
}
